BEGIN;

CREATE TABLE "articles" (
	"id" bigint GENERATED ALWAYS AS IDENTITY, 
	"title" text NOT NULL UNIQUE,
	"content" text NOT NULL,
	"slug" text NOT NULL UNIQUE,
  "created_at"  timestamptz DEFAULT NOW() NOT NULL,
	"original_url" text NOT NULL UNIQUE,
  "source_id" int NOT NULL, 
	CONSTRAINT "articles_pk" PRIMARY KEY ("id")
) WITH (
  OIDS=FALSE
);

COMMIT;
